
Redmine - Defect #11503

Accessing /projects/:project/wiki/something.png fails with error 500

2012-07-24 21:11 - Alex Shulgin

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 1.4.4

Description

The user have to have the wiki edit permission.  Stack trace:

/usr/local/rvm/gems/ruby-1.8.7-p352/gems/actionpack-2.3.14/lib/action_view/paths.rb:74:in `find_te

mplate'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/actionpack-2.3.14/lib/action_controller/base.rb:1391:in

 `default_template'

  [RAILS_ROOT]/app/controllers/application_controller.rb:519:in `default_template'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/actionpack-2.3.14/lib/action_controller/base.rb:942:in 

`render_without_benchmark'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/actionpack-2.3.14/lib/action_controller/benchmarking.rb

:51:in `render'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/activesupport-2.3.14/lib/active_support/core_ext/benchm

ark.rb:17:in `ms'

  /usr/local/rvm/rubies/ruby-1.8.7-p352/lib/ruby/1.8/benchmark.rb:308:in `realtime'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/activesupport-2.3.14/lib/active_support/core_ext/benchm

ark.rb:17:in `ms'

  /usr/local/rvm/gems/ruby-1.8.7-p352/gems/actionpack-2.3.14/lib/action_controller/benchmarking.rb

:51:in `render'

  [RAILS_ROOT]/app/controllers/wiki_controller.rb:62:in `show'

 Tested on Redmine versions 1.3 and 1.4.

Associated revisions

Revision 10204 - 2012-08-13 20:34 - Jean-Philippe Lang

Respond with 404 on ActionView::MissingTemplate (#11503).

History

#1 - 2012-07-27 20:54 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2012-07-27 20:54 - Jean-Philippe Lang

- Priority changed from Normal to Low

#3 - 2012-08-13 20:36 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Fixed in r10204.
